Paginated list of knowledge-gap clusters with filters and sort
GET
/
v1
/
knowledge-gaps
/
clusters
Paginated list of knowledge-gap clusters with filters and sort
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-gaps/clusters \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/knowledge-gaps/clusters"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/knowledge-gaps/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap_type": "<string>",
"status": "<string>",
"impact_score": 123,
"member_count": 123,
"affected_sessions": 123,
"escalation_count": 123,
"unresolved_count": 123,
"gap_event_count": 123,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_area": "<string>",
"priority": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixed_at": "2023-11-07T05:31:56Z",
"reopened_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Status filter. Omit for the default (open statuses: active, acknowledged, in_progress, reopened). Pass 'all' to include terminal states, or a comma-separated allowlist.
Pattern:
^(impact_score:desc|last_seen_at:desc|affected_sessions:desc)$Required range:
1 <= x <= 200Was this page helpful?
⌘I
Paginated list of knowledge-gap clusters with filters and sort
